## IAnjutaLanguageSupport IAnjutaLanguageSupport — Programming language specific supports from plugins |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/interfaces/ianjuta-language-support.h>

    #define             IANJUTA_LANGUAGE_SUPPORT_ERROR
                        IAnjutaLanguageSupport;
                        IAnjutaLanguageSupportIface;
    GQuark              ianjuta_language_support_error_quark
                                                            (void);
    GList*              ianjuta_language_support_get_supported_languages
                                                            (IAnjutaLanguageSupport *obj,
                                                             GError **err);
    gboolean            ianjuta_language_support_supports   (IAnjutaLanguageSupport *obj,
                                                             const gchar *language,
                                                             GError **err);

## Object Hierarchy

      GInterface
       +----IAnjutaLanguageSupport

## Prerequisites

IAnjutaLanguageSupport requires GObject.

## Description

## Details

### IANJUTA_LANGUAGE_SUPPORT_ERROR

    #define IANJUTA_LANGUAGE_SUPPORT_ERROR ianjuta_language_support_error_quark()

### IAnjutaLanguageSupport

    typedef struct _IAnjutaLanguageSupport IAnjutaLanguageSupport;

### IAnjutaLanguageSupportIface

    typedef struct {
    	GTypeInterface g_iface;

    	GList* (*get_supported_languages) (IAnjutaLanguageSupport *obj, GError **err);
    	gboolean (*supports) (IAnjutaLanguageSupport *obj, const gchar *language, GError **err);
    } IAnjutaLanguageSupportIface;

### ianjuta_language_support_error_quark ()

    GQuark              ianjuta_language_support_error_quark
                                                            (void);

Returns : |

### ianjuta_language_support_get_supported_languages ()

    GList*              ianjuta_language_support_get_supported_languages
                                                            (IAnjutaLanguageSupport *obj,
                                                             GError **err);

`obj` : |
`err` : |
Returns : |

### ianjuta_language_support_supports ()

    gboolean            ianjuta_language_support_supports   (IAnjutaLanguageSupport *obj,
                                                             const gchar *language,
                                                             GError **err);

`obj` : |
`language` : |
`err` : |
Returns : |